BST SOURCE FETCH(1)

NAME
bst-source-fetch - Fetch sources in a pipeline

SYNOPSIS
bst source fetch [OPTIONS] [ELEMENTS]...

DESCRIPTION
Fetch sources required to build the pipeline

    Specifying no elements will result in fetching the default targets
    of the project. If no default targets are configured, all project
    elements will be fetched.

    When this command is executed from a workspace directory, the default
    is to fetch the workspace element.

    By default this will only try to fetch sources for the specified
    elements.

    Specify `--deps` to control which sources to fetch:

        none: No dependencies, just the element itself
        run: Runtime dependencies, including the element itself
        build: Build time dependencies, excluding the element itself
        all: All dependencies

OPTIONS

--except PATH
    Except certain dependencies from fetching

-d, --deps [none|build|run|all]
    The dependencies to fetch [default: none]

--source-remote REMOTE
    A remote for downloading sources

--ignore-project-source-remotes
    Ignore remote source cache servers recommended by projects